package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 考勤统计分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceStatisticsPageReqVO extends PageParam {

    @Schema(description = "考勤用户id", example = "7104")
    private Long userId;

    @Schema(description = "考勤组id", example = "14983")
    private Long attendanceGroupId;

    @Schema(description = "考勤组名称", example = "赵六")
    private String attendanceGroupName;

    @Schema(description = "班次id", example = "14364")
    private Long attendanceGroupShiftId;

    @Schema(description = "班次名称", example = "李四")
    private String attendanceGroupShiftName;

    @Schema(description = "日期yyyy-MM-dd格式")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] dayTime;

    @Schema(description = "是否异常 0否 1是")
    private Integer abnormalFlag;

    @Schema(description = "工时（时间戳）")
    private Long workingHours;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}