package cn.iocoder.yudao.module.system.controller.app.attendance.dto;

import cn.iocoder.yudao.framework.web.core.util.WebFrameworkUtils;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.group.AttendanceGroupDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.security.core.util.SecurityFrameworkUtils.getLoginUserId;

@Data
@Accessors(chain = true)
public class AttendancePunchDTO {

    @Schema(description = "经度")
    private String longitude;

    @Schema(description = "纬度")
    private String latitude;

    @Schema(description = "用户打卡地点")
    private String punchAddress;

    @Schema(description = "照片")
    private String image;

    @Schema(description = "备注")
    private String remark;

    /**
     * 当前用户id
     */
    private Long userId = getLoginUserId();
    /**
     * 当前时间
     */
    private LocalDateTime localDateTime = LocalDateTime.now();
}
