package cn.iocoder.yudao.module.system.dal.dataobject.attendance.statistics;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 考勤统计 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_statistics")
@KeySequence("kq_attendance_statistics_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceStatisticsDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 考勤用户id
     */
    private Long userId;
    /**
     * 考勤组id
     */
    private Long attendanceGroupId;
    /**
     * 考勤组名称
     */
    private String attendanceGroupName;
    /**
     * 班次id
     */
    private Long attendanceGroupShiftId;
    /**
     * 班次名称
     */
    private String attendanceGroupShiftName;
    /**
     * 日期yyyy-MM-dd格式
     */
    private String dayTime;
    /**
     * 是否异常 0否 1是
     */
    private Integer abnormalFlag;
    /**
     * 工时（时间戳）
     */
    private Long workingHours;

}