package cn.iocoder.yudao.module.system.service.attendance.punchrecord;

import javax.validation.*;
import cn.iocoder.yudao.module.system.controller.admin.punchrecord.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.punchrecord.AttendancePunchRecordDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 用户打卡记录 Service 接口
 *
 * @author 艾楷
 */
public interface AttendancePunchRecordService {

    /**
     * 创建用户打卡记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPunchRecord(@Valid AttendancePunchRecordSaveReqVO createReqVO);

    /**
     * 更新用户打卡记录
     *
     * @param updateReqVO 更新信息
     */
    void updatePunchRecord(@Valid AttendancePunchRecordSaveReqVO updateReqVO);

    /**
     * 删除用户打卡记录
     *
     * @param id 编号
     */
    void deletePunchRecord(Long id);

    /**
     * 获得用户打卡记录
     *
     * @param id 编号
     * @return 用户打卡记录
     */
    AttendancePunchRecordDO getPunchRecord(Long id);

    /**
     * 获得用户打卡记录分页
     *
     * @param pageReqVO 分页查询
     * @return 用户打卡记录分页
     */
    PageResult<AttendancePunchRecordDO> getPunchRecordPage(AttendancePunchRecordPageReqVO pageReqVO);

}