package cn.iocoder.yudao.module.system.service.attendance.statistics;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.attendance.vo.AttendanceStatisticsPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.attendance.vo.AttendanceStatisticsSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.statistics.AttendanceStatisticsDO;

import javax.validation.Valid;

/**
 * 考勤统计 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceStatisticsService {

    /**
     * 创建考勤统计
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAttendanceStatistics(@Valid AttendanceStatisticsSaveReqVO createReqVO);

    /**
     * 更新考勤统计
     *
     * @param updateReqVO 更新信息
     */
    void updateAttendanceStatistics(@Valid AttendanceStatisticsSaveReqVO updateReqVO);

    /**
     * 删除考勤统计
     *
     * @param id 编号
     */
    void deleteAttendanceStatistics(Long id);

    /**
     * 获得考勤统计
     *
     * @param id 编号
     * @return 考勤统计
     */
    AttendanceStatisticsDO getAttendanceStatistics(Long id);

    /**
     * 获得考勤统计分页
     *
     * @param pageReqVO 分页查询
     * @return 考勤统计分页
     */
    PageResult<AttendanceStatisticsDO> getAttendanceStatisticsPage(AttendanceStatisticsPageReqVO pageReqVO);

}